import {expect} from 'chai';
import {plaintextMagicBytes} from './config';

describe('plaintextMagicBytes', () => {
  // Decryption will yield randomness when using the incorrect key, and we
  // want to treat the randomness as bits of entropy.  The magic bytes serve
  // as a static assertion against that entropy.
  it('compares against 32 bits of entropy', () => {
    const bytes = Buffer.from(plaintextMagicBytes).length;
    const bits = bytes * 8;

    expect(bits).to.equal(32);
  });
});
