/**
 * No op event handler
 *
 *  Copyright (C) 2010-2024 R-T Specialty, LLC.
 *
 *  This file is part of the Liza Data Collection Framework
 *
 *  Liza is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import {EventHandler, EventHandlerCb} from './EventHandler';
import {ClientAction, ClientActionType} from '../action/ClientAction';

/**
 * Handles events with no operations to be performed
 */
export class NoOpEventHandler implements EventHandler {
  constructor() {}

  /**
   * Handles No Op Events
   *
   * @param _type - event id; ignored
   * @param c     - to invoke on completion
   * @param data  - additional event data
   */
  handle(
    _type: ClientActionType,
    c: EventHandlerCb,
    _data: ClientAction
  ): this {
    c();

    return this;
  }
}
