/**
 * Field representing bucket value
 *
 *  Copyright (C) 2010-2024 R-T Specialty, LLC.
 *
 *  This file is part of liza.
 *
 *  liza is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import {Field} from './Field';

export class BucketField implements Field {
  /**
   * Field name
   */
  private _name = '';

  /**
   * Field index
   */
  private _index = 0;

  constructor(name: string, index: number) {
    this._name = '' + name;
    this._index = +index;
  }

  public getName(): string {
    return this._name;
  }

  public getIndex(): number {
    return this._index;
  }
}
