import {Key} from '../../../liza-crypto';
import {Secret, SecretStore} from './SecretStore';

export class LocalSecretStore implements SecretStore {
  // To add secrets, ensure any new secret_version names are added
  // to secrets with a legitimate key
  private secret_versions = [{name: 'foo_1', version: 1}];
  private secrets: Record<string, string> = {
    foo_1: 'qMRPP2Q0iKguWVRiCQH2qmQFQsN2NKSExOLRpvvLTLI=',
  };

  constructor() {}

  async getSecret(secret_name: string): Promise<Key> {
    return Buffer.from(this.secrets[secret_name], 'base64');
  }

  public listSecretVersions(_service: string): Promise<Secret[]> {
    return Promise.resolve(this.secret_versions);
  }
}
