/**
 * Data Factory Interface
 *
 *  Copyright (C) 2010-2024 R-T Specialty, LLC.
 *
 *  This file is part of the Liza Data Collection Framework.
 *
 *  liza is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * These definitions are for a very old mongodb library, which will be
 * once we get around to updating node.  Quite a failure on the maintenance
 * front.
 *
 * instantiate objects for MongoDb
 */

import {ServerDao} from '../../server/db/ServerDao';

// TODO: replace with a better abstraction if/when mongo goes away
export interface Database {
  collection(
    name: string,
    callback: (err: Error, collection: unknown) => void
  ): void;
}

export interface AsyncDataFactory {
  createDatabase(): Promise<Database>;
  createDao(db: Database | Promise<Database>): Promise<ServerDao>;
}
