/**
 * Liza Field Styler interface
 *
 *  Copyright (C) 2010-2024 R-T Specialty, LLC.
 *
 *  This file is part of the Liza Data Collection Framework
 *
 *  Liza is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import {ContextContent} from '../FieldContext';

/**
 * Interface for a styler
 */
export interface FieldStyler {
  /**
   * Set element value
   *
   * @param content
   * @param value
   */
  setValue(content: ContextContent, value: string): void;

  /**
   * Disable element
   * Optional method - displays are not inputs that can be disabled
   *
   * @param content
   * @param disable
   */
  disable?(content: ContextContent, disable: boolean): void;
}
