/**
 * Validates Domain
 *
 *  Copyright (C) 2010-2024 R-T Specialty, LLC.
 *
 *  This file is part of the Liza Data Collection Framework.
 *
 *  liza is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

module.exports = require('./PatternFormatter')(
  [
    new RegExp(
      '^' +
        // http/https protocols
        '(http(s)?:\\/\\/)?' +
        // www prefix
        '(www.)?' +
        // domain
        '([a-z0-9]+([-.]{1}[a-z0-9]+)*\\.[a-z]{2,25})' +
        // port and folder
        '(:[0-9]{1,5})?(\\/.*)?' +
        '$',
      'i'
    ),
    '$4', // this contains the domain
  ],

  [
    /^(http(s)?:\/\/)?(www.)?([a-z0-9]+([-.]{1}[a-z0-9]+)*\.[a-z]{2,25})(:[0-9]{1,5})?(\/.*)?$/i,
    '$4',
  ]
);
